Bug 98668 - minicom segfaults/crashes on exit
minicom segfaults/crashes on exit
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: minicom (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-07-07 08:01 EDT by Toni Willberg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 12:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2003-07-07 08:01:54 EDT
minicom-2.00.0-13
glibc-2.3.2-57
kernel-2.4.20-20.1.2013.nptl
redhat-release-8.0-8 (rawhide)

I did not test this on other versions.

1) start minicom as root from (gnome-)terminal without parameters
2) a+q -> quit  (or a+x -> quit)
3) when the terminal gets blank, press crtl+z
Suspended. Type "fg" to resume.
Segmentation fault

strace:
...
setregid32(0, 0)                        = 0
setreuid32(0, 0)                        = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xbf5ee2c8) = 17930
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(17930, [WIFEXITED(s) && WEXITSTATUS(s) == 0], 0) = 17930
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
close(3)                                = 0
--- SIGTSTP (Stopped) @ 0 (0) ---
ioctl(0, SNDCTL_TMR_STOP, {B38400 opost isig icanon echo ...}) = 0
write(1, "\33[47;1H\33[?25h\33[H\33[2J\33[?1l\33>", 27) = 27
rt_sigaction(SIGTSTP, {SIG_DFL}, {0x8049e80, [TSTP], SA_RESTORER|SA_RESTART,
0xea7948}, 8) = 0
fstat64(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 13), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xbf3e7000
write(1, "Suspended. Type \"fg\" to resume.\n", 32) = 32
getpid()                                = 17926
kill(17926, SIGTSTP)                    = 0
rt_sigaction(SIGTSTP, {0x8049e80, [TSTP], SA_RESTORER|SA_RESTART, 0xea7948},
{SIG_DFL}, 8) = 0
ioctl(0, SNDCTL_TMR_STOP, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_TIMEBASE, {B38400 opost isig icanon echo ...}) = 0
ioctl(0, SNDCTL_TMR_STOP, {B38400 -opost -isig -icanon -echo ...}) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
Process 17926 detached
Comment 1 Toni Willberg 2004-03-31 15:35:50 EST
This still happens with FC2-test2

No usable bt:
#0  0x0805c7b0 in ?? ()
(gdb) bt
#0  0x0805c7b0 in ?? ()
#1  0x00000001 in ?? ()

minicom-2.00.0-18.1
glibc-2.3.3-18
kernel-2.6.3-1.116
Comment 2 Alan Cox 2004-06-21 11:45:03 EDT
Can't duplicate it here .. Im confused when you hit ^Z and which app
is being ^Zdded
Comment 3 Toni Willberg 2004-06-21 12:37:10 EDT
I can't seem to be able to reproduce on Fedora Core 2 anymore.
Earlier there was quite a long delay between Minicom cleared it's
screen and fully exited and terminal gained control again. This is
where I hit ^z. Now this isn't happening anymore and control is
returned in a snap.

I'll close this bug for now. Free free to reopen if someone can still
reproduce this.

Tested now with:
 minicom-2.00.0-18.1
 glibc-2.3.3-27
 kernel-2.6.6-1.435
 fedora-release-2-4

Note You need to log in before you can comment on or make changes to this bug.